Subject: bug#36357: Wrong Ghostscript program name on MS Win

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Apr 2020 17:32:34 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 22 Apr 2020 16:14:41 +0200
> 
> > It is IME wrong and user-unfriendly to refuse to load foo.bat or
> > foo.cmd and insist on running foo.exe.  The reason is that having a
> > batch file that shadows a .exe program is the easiest way of
> > "customizing" programs, like adding default arguments, setting up a
> > special PATH value, etc.
> 
> I agree, and I will omit the extension at least for gs{64,32}winc.  The
> question is more how likely it is that some user has her own "rungs"
> command/batch script which has nothing to do with "running GhostScript"
> and then we call it in doc-view.  I mean, "rungs" is at least an English
> word...

I think it's unlikely.  E.g., on my system there's not a single file
that goes by the name "rungs" with any extension.  Another data point
is that package authors generally try to choose names for their
programs that don't clash with existing popular programs.  So I think
you could stop worrying about this.